<?php
session_start(); 
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
extract($_POST);
$id_cd=$centro;

$continuar=0;
$gastos=0;
$entradas=0;
$salidas=0;
$efectivo=0;
$prod=array();

$qp3 = "select cantidad, fechac, horac from cortecaja where id_cd=$id_cd and fechac<'$fecha' order by fechac DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
if(mysqli_affected_rows($conexion))
{	
	
	$cajaini = $rp3->cantidad;
	$fechai = $rp3->fechac;
    $horai = $rp3->horac;
	 $observaciones = $rp3->observaciones;
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	

	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

*/

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Reporte de caja al d&iacute;a: $fecha</b></font><br><br>
&Uacute;ltimo corte realizado el d&iacute;a: <b>$fechai</b> a las <b>$horai</b><br>
Cantidad inicial en caja: <font size=\"+2\"><b>$ $cajaini</b></font><br>
Comentarios: <b>$observaciones</b><br><br>";

$qPP = "select sum(cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where 
fechat>'$fechai' and fechat<='$fecha' and usuarios_ci_idusuarios_ci=$id_cd ";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
			
	<font size=\"+1\"><b>Resumen de ventas:</b></font><table border=\"1\"> <th>Cantidad</th><th>Puntos</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Regs</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
$efectivo=$objetoPP->ef;
	echo "<tr>
			 <td align=\"center\">$ $objetoPP->cant</td>
			 <td align=\"center\">$objetoPP->ptos</td>
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
			 <td align=\"center\">$objetoPP->re</td>
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
			

		    
}
	
   
   
   echo"</table><br>";
}
 
	$qPP = "select fecha_g, no_factura, total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and fecha_g<='$fecha' and id_cd=$id_cd and tipo_g=1";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de gastos</b></font>
	<br><table border=\"1\" width=\"650\" align=\"center\"><tr><th>Fecha</th><th>no_factura</th><th>Cantidad</th><th>Descrpci&oacute;n</th><th>Autoriz&oacute;</th><th>Recibi&oacute;
	</tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$gastos+=$objetoPP->total;
	echo "<tr>
	 <td align=\"center\">$objetoPP->fecha_g</td>
			 <td align=\"center\">$objetoPP->no_factura</td>
			 <td align=\"center\">$ $objetoPP->total</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
			 <td align=\"center\">$objetoPP->autorizo</td>
			 <td align=\"center\">$objetoPP->realizo</td>
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

	$qPP = "select fecha_g, total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and fecha_g<='$fecha'  and id_cd=$id_cd and tipo_g=2";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas efectivo</b></font>
	<br><table border=\"1\" width=\"650\" align=\"center\"><tr><th>Fecha</th><th>Cantidad</th><th>Entregado por:</th><th>Descripci&oacute;n</th>
	</tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$entradas+=$objetoPP->total;
	echo "<tr>
		
			 <td align=\"center\">$objetoPP->fecha_g</td> <td align=\"center\">$ $objetoPP->total</td> <td align=\"center\">$objetoPP->realizo</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
		
			
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

	$qPP = "select fecha_g, total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and fecha_g<='$fecha'  and id_cd=$id_cd and tipo_g=3";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas de efectivo</b></font>
	<br><table border=\"1\" width=\"650\" align=\"center\"><tr><th>Fecha</th><th>Cantidad</th><th>Recibido por:</th><th>Descripci&oacute;n</th>
	</tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$salidas+=$objetoPP->total;
	echo "<tr>
		
			<td align=\"center\">$objetoPP->fecha_g</td> <td align=\"center\">$ $objetoPP->total</td> <td align=\"center\">$objetoPP->realizo</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
		
			
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

$final=$cajaini+$efectivo+$entradas-$gastos-$salidas;
echo"
<font size=\"+1\"><b>Resumen Global</b></font><br>
<table border=\"1\" width=\"600\" align=\"center\">
<tr><td>Inicial en caja</td><td><b>$ $cajaini</b></td><td>Ventas Efectivo</td><td><b>$ $efectivo</b></td><td>Entradas Efectivo</td><td><b>$ $entradas</b></td></tr>
<tr><td>Total Gastos</td><td><b>-$ $gastos</b></td><td>Salidas Efectivo</td><td><b>-$ $salidas</b></td><td>Saldo Final</td><td><b>$ $final</b></td></tr></table>
<br><br>


";


	}
	

?>

